[youtubei.js](../../../README.md) / [ProtoUtils](../README.md) / decodeVisitorData

# Function: decodeVisitorData()

> **decodeVisitorData**(`visitor_data`): `VisitorData`

## Parameters

• **visitor\_data**: `string`

## Returns

`VisitorData`

## Defined in

[src/utils/ProtoUtils.ts:16](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/ProtoUtils.ts#L16)
